Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.database
Class AbstractInjectableProvider<E>

    java.lang.Object
      com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<E>
          org.neo4j.server.database.AbstractInjectableProvider<E>

All Implemented Interfaces:
  com.sun.jersey.spi.inject.Injectable<E>, com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Class<E>>

Direct Known Subclasses:
  ConfigurationProvider, DatabaseProvider, GraphDatabaseServiceProvider, InputFormatProvider, NeoServerProvider, OutputFormatProvider, PluginInvocatorProvider, RrdDbProvider

    public abstract class AbstractInjectableProvider<E>

extends com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<E>
implements com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Class<E>>

Constructor Summary
`AbstractInjectableProvider(Class<E> t)`

Method Summary
`com.sun.jersey.spi.inject.Injectable<E>` | `getInjectable()`
`com.sun.jersey.spi.inject.Injectable<E>` | `getInjectable(com.sun.jersey.core.spi.component.ComponentContext ic, javax.ws.rs.core.Context a, Class<E> c)`
`com.sun.jersey.core.spi.component.ComponentScope` | `getScope()`

Methods inherited from class com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable
`getValue, getValue, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInjectableProvider

    public AbstractInjectableProvider(Class<E> t)

Method Detail

### getInjectable

    public com.sun.jersey.spi.inject.Injectable<E> getInjectable(com.sun.jersey.core.spi.component.ComponentContext ic,
                                                                 javax.ws.rs.core.Context a,
                                                                 Class<E> c)

  Specified by:
    `getInjectable` in interface `com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Class<E>>`

### getInjectable

    public com.sun.jersey.spi.inject.Injectable<E> getInjectable()

### getScope

    public com.sun.jersey.core.spi.component.ComponentScope getScope()

  Specified by:
    `getScope` in interface `com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Class<E>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.